Subject: RE: I-D ACTION:draft-ietf-pkix-time-stamp-01.txt

From: Robert Zuccherato <[email-masked]>
Date: Tue, 11 May 1999 13:11:18 -0400

I would encourage everyone who had comments on the recently expired time
stamping draft to take a look at this new draft that recently appeared.  We
attempted to accommodate the concerns raised since the last draft was
submitted.

At the time of submission, I still had not heard back from IANA concerning
the assignment of a port number for PKIX timestamping.  Since then I have
received a reply.  The assigned port number is 318.  The next version will
be updated to reflect this.

	Robert Zuccherato.

> ----------
> From: 	[email-masked][SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	Tuesday, May 11, 1999 9:31 AM
> To: 	IETF-Announce
> Cc: 	[email-masked]
> Subject: 	I-D ACTION:draft-ietf-pkix-time-stamp-01.txt
> 
> <<Message: Microsoft Exchange Message>>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Public-Key Infrastructure (X.509) Working
> Group of the IETF.
> 
> 	Title		: Internet X.509 Public Key Infrastructure Time
> Stamp Protocols
> 	Author(s)	: C. Adams, B. Pinkas, P. Cain, R. Zuccherato
> 	Filename	: draft-ietf-pkix-time-stamp-01.txt
> 	Pages		: 18
> 	Date		: 10-May-99
> 	
> This document describes the format of the data returned by a Time
> Stamp Authority and the protocols to be used when communicating with it.
> The time stamping service can be used as a Trusted Third Party (TTP) as
> one component in building reliable non-repudiation services (see
> [ISONR]).  In order to reduce the amount of trust required of a TSA we
> introduce (in Appendix C) the optional Temporal Data Authority (TDA)
> whose function is to provide further corroborating evidence of the time
> contained in the token.  We also give an example of how to place a
> signature at a particular point in time, from which the appropriate
> certificate status information (e.g. CRLs) may be checked.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-pkix-time-stamp-01.txt
> 
> Internet-Drafts are also available by anonymous FTP. Login with the
> username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-pkix-time-stamp-01.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-pkix-time-stamp-01.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>

---

From: "Michael Zolotarev" <[email-masked]>
Date: Wed, 12 May 1999 16:46:39 +1000

Comment1.
The new draft does not address the problem of defining an optional 'tag'
field to help associating a stamp with its origin.
The need for the tag has been discussed intensively by the mail group, and I
do not recall anybody arguing against it.
----------------------------------------------------------------------------
------------------------------------------
Comment2
The SerialNumber is defined as OPTIONAL. The need for having it is clear, it
is not anyhow request-specific, or a difficult thing to implement for the
TSA. So why is it optional?
----------------------------------------------------------------------------
--------------------------------------
Comment3
in TSTInfo: "TSA services MAY produce "signed times" which are timestamp
tokens that do not contain a nonce or message imprint and are thus not
linked to any request". Does it mean that a stamp with the imprint but
without a nonce is regarded as a 'signed time'.
----------------------------------------------------------------------------
---------------------------------------
Comment4
The description of the precision field is somehow difficult to understand,
and the name 'precision' is misleading. It is not a precision, it is the
precision factor. I had to guess that 31.25 is actually a product of
division of 1 by 32.
My suggestion would be:
"The precisionFactor field is an 8 bit signed integer. The actual precision
of the clock is calculated as a power(2, precisionFactor). Negative
precisionFactor value produces a precision as a fraction of a second - for
instance, precisionFactor=-5 would yield 2^(-5) = 0.03125 sec (31ms). This
precisionFactor would account for the 50-Hz (20ms) or 60-Mh (16.67ms)
power-frequency clock, for example. Note that this method defines a
precision of a clock as 'being around the value', not as an exact figure."
----------------------------------------------------------------------------
----------------------------
Comment5.
The socket based protocol is apparently borrowed from the CMP spec. Should
we stop being shy, make one more step forward, and expand the CMP-defined
messages by adding TSA messages? That is, the message will contain a proper
PKIHeader (as defined by the CMP), and the PKIBody with ID=XXX (XXX > 23, as
23 is the last ID reserved by the CMP). The actual PKIBody would be the
DER-encoded TSA message.
This would set a good example for other PKI services, such as AC and Notary.
----------------------------------------------------------------------------
--------------------------------------------
Michael Zolotarev
Technical Architect, Baltimore Technologies Ltd, Australia